
import { zgSingleton } from "../zgSingleton";
import ATSDKMgr from "./ATSDKMgr";

/**
 * inter插屏广告
 * @description
 * @author 冯聪
 */
export default class ATInterstitial extends zgSingleton {

   
    init() {
        cc["ATInterstitialJS"].proxy = this;;
        cc["ATInterstitialJS"].init();
        // this.loadNative();
    }

    /** 广告位id */
    placementID(type: number) {
        if (type == 0) {
            if (cc.sys.os === cc.sys.OS_IOS) {
                return ATSDKMgr.topon_inter_placementId;
            } else if (cc.sys.os === cc.sys.OS_ANDROID) {
                return ATSDKMgr.topon_inter_placementId;
            }
        }
        else {
            if (cc.sys.os === cc.sys.OS_IOS) {
                return ATSDKMgr.topon_fullinter_placementId;
            } else if (cc.sys.os === cc.sys.OS_ANDROID) {
                return ATSDKMgr.topon_fullinter_placementId;
            }
        }
    }
}
